#!/bin/sh
echo "Checking Frameworks"
for i in `osc pr KDE:Unstable:Frameworks -s B -q -V -a x86_64 -r openSUSE_Factory | grep -v x86_64 | grep B | sed 's/B //g' | sed 's/ //g'`
do
	echo $i
	osc service rr KDE:Unstable:Frameworks $i
done

echo "Checking Applications"
for i in `osc pr KDE:Unstable:Applications -s B -q -V -a x86_64 -r KDE_Unstable_Frameworks_openSUSE_Factory | grep -v x86_64 | grep B | sed 's/B //g' | sed 's/ //g'`
do
	echo $i
	osc service rr KDE:Unstable:Applications $i
done

echo "Checking Extra"
for i in `osc pr KDE:Unstable:Extra -s B -q -V -a x86_64 -r KDE_Unstable_Frameworks_openSUSE_Factory | grep -v x86_64 | grep B | sed 's/B //g' | sed 's/ //g'`
do
	echo $i
	osc service rr KDE:Unstable:Extra $i
done
